# -*- coding: utf-8 -*-
# Generated by Django 1.9.1 on 2016-01-22 16:31
from __future__ import unicode_literals

import datetime
from django.db import migrations, models


class Migration(migrations.Migration):

    dependencies = [
        ('publications', '0001_initial'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='book',
            name='conference_date',
        ),
        migrations.RemoveField(
            model_name='book',
            name='conference_location',
        ),
        migrations.RemoveField(
            model_name='book',
            name='conference_name',
        ),
        migrations.RemoveField(
            model_name='book',
            name='issue',
        ),
        migrations.RemoveField(
            model_name='book',
            name='journal_title',
        ),
        migrations.RemoveField(
            model_name='book',
            name='publisher_location',
        ),
        migrations.RemoveField(
            model_name='book',
            name='volume',
        ),
        migrations.RemoveField(
            model_name='conferenceproceeding',
            name='issue',
        ),
        migrations.RemoveField(
            model_name='conferenceproceeding',
            name='journal_title',
        ),
        migrations.RemoveField(
            model_name='conferenceproceeding',
            name='publisher',
        ),
        migrations.RemoveField(
            model_name='conferenceproceeding',
            name='publisher_location',
        ),
        migrations.RemoveField(
            model_name='conferenceproceeding',
            name='volume',
        ),
        migrations.RemoveField(
            model_name='journalarticle',
            name='conference_date',
        ),
        migrations.RemoveField(
            model_name='journalarticle',
            name='conference_location',
        ),
        migrations.RemoveField(
            model_name='journalarticle',
            name='conference_name',
        ),
        migrations.RemoveField(
            model_name='journalarticle',
            name='issue',
        ),
        migrations.RemoveField(
            model_name='journalarticle',
            name='publisher',
        ),
        migrations.RemoveField(
            model_name='journalarticle',
            name='publisher_location',
        ),
        migrations.RemoveField(
            model_name='journalarticle',
            name='volume',
        ),
        migrations.AddField(
            model_name='book',
            name='edition',
            field=models.CharField(max_length=20, null=True),
        ),
        migrations.AddField(
            model_name='book',
            name='publisher_city',
            field=models.CharField(max_length=500, null=True),
        ),
        migrations.AddField(
            model_name='journalarticle',
            name='journal_issue',
            field=models.IntegerField(null=True),
        ),
        migrations.AddField(
            model_name='journalarticle',
            name='journal_volume',
            field=models.IntegerField(null=True),
        ),
        migrations.AlterField(
            model_name='book',
            name='page_range',
            field=models.CommaSeparatedIntegerField(default=' , ', max_length=10, null=True),
        ),
        migrations.AlterField(
            model_name='book',
            name='pdf_file',
            field=models.FileField(null=True, upload_to='files', verbose_name='file'),
        ),
        migrations.AlterField(
            model_name='book',
            name='publisher',
            field=models.CharField(max_length=500, null=True),
        ),
        migrations.AlterField(
            model_name='conferenceproceeding',
            name='conference_date',
            field=models.DateField(default=datetime.datetime.now, null=True, verbose_name='conference date'),
        ),
        migrations.AlterField(
            model_name='conferenceproceeding',
            name='conference_location',
            field=models.CharField(max_length=300, null=True),
        ),
        migrations.AlterField(
            model_name='conferenceproceeding',
            name='conference_name',
            field=models.CharField(max_length=500, null=True),
        ),
        migrations.AlterField(
            model_name='conferenceproceeding',
            name='page_range',
            field=models.CommaSeparatedIntegerField(default=' , ', max_length=10, null=True),
        ),
        migrations.AlterField(
            model_name='conferenceproceeding',
            name='pdf_file',
            field=models.FileField(null=True, upload_to='files', verbose_name='file'),
        ),
        migrations.AlterField(
            model_name='journalarticle',
            name='page_range',
            field=models.CommaSeparatedIntegerField(default=' , ', max_length=10, null=True),
        ),
        migrations.AlterField(
            model_name='journalarticle',
            name='pdf_file',
            field=models.FileField(null=True, upload_to='files', verbose_name='file'),
        ),
    ]
